package tamagotchi;

import jason.asSemantics.DefaultInternalAction;
import jason.asSemantics.TransitionSystem;
import jason.asSemantics.Unifier;
import jason.asSyntax.NumberTermImpl;
import jason.asSyntax.Term;
import jason.asSyntax.NumberTerm;
             
public class calculateHappyLevel extends DefaultInternalAction {
    
    @Override
    public Object execute(TransitionSystem ts, Unifier un, Term[] args) throws Exception {
        
        // args[0] is the unattended luggage Report Number
        double originalLevel=0;
        double additionLevel=0;
        double result=0;
        NumberTermImpl nt1= new NumberTermImpl();
        NumberTermImpl nt2= new NumberTermImpl();
        if (args[0] instanceof NumberTerm)  {
          nt1=(NumberTermImpl) args[0];
          originalLevel=nt2.solve();
          
        }
        if (args[1] instanceof NumberTerm)  {
          nt2=(NumberTermImpl) args[1];
          additionLevel=nt2.solve();
          
        }
        result= originalLevel+additionLevel;
        System.out.println(result);
        return un.unifies(args[2], new NumberTermImpl(result));
        //System.out.println("**="+un);
    }
}
